SDL_HINT_QUIT_ON_LAST_WINDOW_CLOSE(3)

NAME
SDL_HINT_QUIT_ON_LAST_WINDOW_CLOSE - A variable that decides whether to send SDL_EVENT_QUIT
 when closing the last window.

HEADER FILE
Defined in SDL3/SDL_hints.h

SYNOPSIS
#include "SDL3/SDL.h"

#define SDL_HINT_QUIT_ON_LAST_WINDOW_CLOSE SDL_QUIT_ON_LAST_WINDOW_CLOSE"

DESCRIPTION
The variable can be set to the following values: • "0": SDL will not send an SDL_EVENT_QUIT
 event when the
  last window is requesting to close. Note that in this case, there are
  still other legitimate reasons one might get an

SDL_EVENT_QUIT
 event: choosing "Quit" from the macOS
  menu bar, sending a SIGINT (ctrl-c) on Unix, etc. • "1": SDL will send a quit event when the last window is requesting to
  close. (default) This hint can be set anytime.

AVAILABILITY
This hint is available since SDL 3.0.0.